> For the complete documentation index, see [llms.txt](https://docs.whiteintel.io/whiteintel-api-doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/infostealer-api/username-leaks-api.md).

# Username Leaks API

## Description

Data updates API can be used for retrieving data showed in <https://whiteintel.io/data-updates> page.

## Endpoint

`POST /api/get_username_leaks.php`

## Required Headers

| Name         | Description                       |
| ------------ | --------------------------------- |
| Content-Type | Must be set to `application/json` |

## Parameters

| Name                  | Type   | Required | Default        | Description                                                |
| --------------------- | ------ | -------- | -------------- | ---------------------------------------------------------- |
| apikey                | string | Yes      | N/A            | Your API key.                                              |
| query                 | string | Yes      | N/A            | Email to search                                            |
| start\_date           | string | Optional | Today - 1 Week | The start date for retrieving leaks in `YYYY-MM-DD` format |
| end\_date             | string | Optional | Current date   | The end date for retrieving leaks in `YYYY-MM-DD` format   |
| include\_system\_info | int    | Optional | 0              | Include system information of compromised devices (0 or 1) |
| limit                 | int    | Optional | N/A            | Limits the results to given number                         |

### Request URL

`POST /api/get_username_leaks.php`

```json
{
    "apikey": "your api key",
    "query":"test@example.com",
    "include_system_info": 0
}
```

### Example Success Response

```json
{"total_leaks":2,"remaining_daily_api_calls":176,"data":[{"url":"https:\/\/outlook.microsoftonline.com\/","username":"sampleuser@test.com","password":"123*****","log_date":"2024-05-16"}]}
```

### Example Error Response

```json
{"error":"Generic error message."}
```

## Code Examples

Example with Curl

```bash
curl -X POST https://whiteintel.io/api/get_username_leaks.php \
     -H "Content-Type: application/json" \
     -d '{
           "apikey": "yourapikey",
           "query": "sampleuser@test.com",
           "include_system_info": 0,
           "start_date": "2023-12-30"
         }'
```

Example with Python

```python

import requests

url = "https://whiteintel.io/api/get_username_leaks.php"
payload = {
    "apikey": "yourapikey",
    "query":"test@example.com",
    "include_system_info": 0,
    "start_date": "2023-01-01"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

if response.status_code == 200:
    print("Response:", response.json())
else:
    print("Failed to retrieve data updates", response.status_code, response.text)

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.whiteintel.io/whiteintel-api-doc/whiteintel-api-v1/infostealer-api/username-leaks-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
